# 分数

分数（英语：Fraction）是用分式（分数式）表达成 $\dfrac{a}{b}$ 的数（$a,b\in Z,b\neq 0$）。在上式之中， $b$ 称为分母（Denominator）而 $a$ 称为分子（Numerator），可视为某件事物平均分成 $b$ 份中占 $a$ 份，读作“ $b$ 分之 $a$ ”。中间的线称为分数线。有时人们会用 $a/b$ 来表示分数。

![](../图片/分数.png)

## 分数大小的比较

    分母相同，分子大的分数大；
    分子相同，分母小的分数大。

## 分数运算

### 约分、扩分及通分

一个分数**约分**后或**扩分**后，其分数与原来之分数的值相等，称为等值分数。

#### 约分

“约分”是将一个分数的分子和分母同除以一个比1大的整数（它们的公约数）。 约分后的分数和原来分数的值相等。

$\dfrac{3}{6}=\dfrac{1}{2}$ (前面的分数的分子和分母皆除以三)

#### 扩分

“扩分”是将一个分数的分子和分母同乘以比1大的数。扩分后的分数和原来分数的值相等。

$\dfrac{1}{2}=\dfrac{2}{4}$ (前面的分数的分子和分母皆乘以二)

#### 通分

“通分”是利用约分或扩分，将两个分母不同的分数，分别化为同分母的分数。

例如：

$\dfrac{2}{5}=\dfrac{2\times7}{5\times7}=\dfrac{14}{35}$

$\dfrac{3}{7}=\dfrac{3\times5}{7\times5}=\dfrac{15}{35}$

所以 $\dfrac{2}{5} \lt \dfrac{3}{7}$

### 加减法

分数做加减法时，计算前先通分，得数要做约分以简化结果。例如：

例如：

$ \dfrac{1}{4} + \dfrac{1}{4} = \dfrac{1 + 1}{4} = \dfrac{2}{4} = \dfrac{1}{2} $

$ \dfrac{1}{5} + \dfrac{1}{3} = \dfrac{3}{15} + \dfrac{5}{15} = \dfrac{3 + 5}{15} = \dfrac{8}{15} $

$ \dfrac{3}{7} - \dfrac{2}{5} = \dfrac{15}{35} - \dfrac{14}{35} = \dfrac{15-14}{35} = \dfrac{1}{35}$

### 乘除法

- 除以一个分数相当于乘以该分数的“**倒数**”。
- 分数做乘法时，先分子和分母分别相乘，后通过约分将结果简化。

注：分数的倒数是指分子分母调换后的分数，$\dfrac{a}{b} \xrightarrow{倒数} \dfrac{b}{a}$

例如：

$ \dfrac{1}{5} \div \dfrac{7}{10} = \dfrac{1}{5} \times \dfrac{10}{7} = \dfrac{1 \times 10}{5 \times 7} = \dfrac{10}{35} \xrightarrow{约分} \dfrac{2}{7}$
