# 时间

## 单位

日(day，也称天)、时(hour，也称小时)、分(minute，也称分钟)、秒(second)、毫秒(millisecond)、微秒(microsecond)、纳秒(nanosecond)

- 1纳秒 $= \frac{1}{1000}$微秒
- 1微秒 $= \frac{1}{1000}$毫秒
- 1毫秒 $= \frac{1}{1000}$秒
- 1分 $= 60$秒
- 1时 $= 60$分$= 3600$秒
- 1日 $= 24$时$= 1440$分$= 86400$秒

1日，也称天，大约是地球相对太阳自转一周之时长，即一昼夜循环。

## 历法

历法是以日为基础单位计算时间的方法。一日以内的时间计算为**计时**。

### 阳历

阳历（又称太阳历，英语：Solar Calendar），为据地球围绕太阳公转轨道位置，或地球上所呈现出太阳直射点的周期性变化(**回归年**)，所制定的历法，岁（太阳年）实为365.2421897日（太阳日），一岁分为十二个月，有大小月之分，一、三、五、七、八、十、十二月各三十一日；四、六、九、十一月各三十日。而二月平年二十八日，闰年二十九日。现时国际通用的**公历**（西历）即为太阳历的一种，亦简称为阳历。

![北半球地球公转与季节变化](../图片/北半球地球公转与季节变化.jpg)

知识点

1. 阳历年分闰年与平年
   ```js
   // 四年一闰，百年不闰，四百年又闰
   ( Y%4==0 && Y%100!=0 || Y%400==0 ) ? '闰年' : '平年'
   ```
2. 阳历年分为12个月，月分大、小、闰、平月

    ![拳头记忆大小月](../图片/拳头记忆大小月.jpg)

3. 太阳直射点的变化周期 = 回归年 $\approx 365.2421897$日

### 阴历

阴历亦称**月亮历**，或称**太阴历**，其历月是一个朔望月，历年为12个朔望月，其大月30天，小月29天，伊斯兰历即为阴历的一种。

### 阴阳历

阴阳历的平均历年为一个回归年，历月为**朔望月**，因为12个朔望月与回归年相差太大，所以阴阳历中设置**闰月**，所以这种历法与**月相**相符，也与地球绕太阳周期运动相符合。**中国的农历**就是阴阳历的一种。
