# 鸡兔同笼

鸡兔同笼问题是中国古代一道算术问题，最早可以追溯至南北朝时期的数学著作《孙子算经》。属于一次方程组问题。

鸡兔同笼类问题第一次出现是在《孙子算经》的下卷中的一道算题：

> 今有雉、兔同笼，上有三十五头，下九十四足。问雉、兔各几何？

用现代汉语表示，就是：“现在笼子里有鸡（雉）和兔子在一起。从上面数一共有三十五个头，从下面数一共有九十四只脚，问一共有多少只鸡、多少只兔子？”

在同一本书中也记载了解法：

> 上置三十五头，下置九十四足。半其足，得四十七。以少减多。

也就是说，将脚的总数九十四除以二得到四十七，然后减去头数三十五就得到兔子的数目，然后自然可以得到鸡的数目。

## 解法


### 《孙子算经》中的解法思路

首先将所有动物的脚数除以二，这样每只鸡将仅有一只脚，每只兔子将仅有两只脚。这样，鸡的脚数和头数一样，而每只兔的脚数比头数多一。如果所有的动物都是鸡的话，那么将仅有三十五只脚了，但事实上有四十七只脚。而每将一只鸡换成一只兔子的话，就会使得脚的数目增加一。于是用四十七减去三十五，就可以知道有多少只鸡被换成了兔子（也就是兔子的数目）。答案是十二只。

### 假设法

35头说明鸡和兔共35只，假设35只全为鸡，则应有$2 \times 35 =70$只足，实则94只足，还差$94-70=24$只足，兔子4只足，鸡2只足，一只鸡换成一只兔子可以补上2只足，现需补上24只足，也就是需鸡换兔$24 \div 2=12$只，只数不变，足补齐94只，即兔子12只，鸡23只,实际上这其实是二元一次联立方程式用消元求法求x的代数方法（下一个方法）。

### 代数法

解： 设鸡有$x$只, 兔有$y$只，则：

$ \begin{cases} x &+ &y &= 35 \newline 2x &+ &4y &= 94 \end{cases} $

$ x = 35-y $

$ \begin{aligned}(35-y) \times 2 + 4y &= 94 \newline 2y &= 24 \newline y &= 12 \end{aligned}$

$ x = 35 - 12 = 23$

答： 有鸡23只，有兔12只。

### 抬脚法

鸡和兔子的足共有94只，如果让所有的动物都举起手来（抬起两只足，鸭子只能坐在地上了），则35只动物共抬起了$2 \times 35 = 70$只足，在地上还剩$94-70=24$只足。因为这些足全是双足站立的兔子们的，所以兔子的数量是$24 \div 2=12$只。


![](../图片/鸡兔同笼.png)

# 参考

[李永乐老师讲解的鸡兔同笼问题的视频](https://youtu.be/tnKaBeDVFLU)
